.custom-modal {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1000;
}

.custom-modal-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    width: 100%;
    max-height: 100vh;
    height: 100vh;
    justify-content: center;
}

.custom-modal-bg {
    background-color: black;
    opacity: 0.5;
    position: absolute;
    cursor: pointer;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0
}

.custom-modal-content::-webkit-scrollbar {
    display: none;
}

.custom-modal-content {
    min-width: 320px;
    position: relative;
    max-height: 100vh;
    scrollbar-width: none;
    overflow-y: auto;
    background-color: white;
    border-radius: 0.5rem;
    overflow-x: hidden;
    padding: 1.5rem;
    min-height: 40px;

}

.custom-modal-content.full {
    width:80%;
    height:80%;
}

.custom-modal-content-slot.full{
    width:100%;
    height:100%;
}

.custom-modal-close-btn {
    background-image: url(/images/cart/Close.svg);
    background-repeat: no-repeat;
    width: 20px;
    height: 20px;
    background-size: 14px 14px;
    background-position: center;
    cursor: pointer;
    position: absolute;
    right: 0;
    top: 0;
    background-color: #EBF3F5;
    border-radius: 9999px;
    margin: 1.5rem;
    z-index:9999;
}

.custom-modal-hidden {
    display: none;
}

model-viewer{
    width:100%;
    height: 100%;
}

.i3d{
    cursor:pointer;
}


